diff --git a/web/pgadmin/misc/statistics/static/js/statistics.js b/web/pgadmin/misc/statistics/static/js/statistics.js
index e1bbd55..cc78d6d 100644
--- a/web/pgadmin/misc/statistics/static/js/statistics.js
+++ b/web/pgadmin/misc/statistics/static/js/statistics.js
@@ -187,11 +187,15 @@ define([
 
           // Avoid unnecessary reloads
           var treeHierarchy = node.getTreeNodeHierarchy(item);
-          if (_.isEqual($(panel[0]).data('node-prop'), treeHierarchy)) {
+          var cache_flag = {
+            node_type: node_type,
+            url: url
+          };
+          if (_.isEqual($(panel[0]).data('node-prop'), cache_flag)) {
             return;
           }
           // Cache the current IDs for next time
-          $(panel[0]).data('node-prop', treeHierarchy);
+          $(panel[0]).data('node-prop', cache_flag);
 
         if (node.hasStatistics) {
           msg = '';
